Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.util
Class RioManifest

    java.lang.Object
      org.jini.rio.resources.util.RioManifest

    public class RioManifest

extends Object

Utility for getting the Rio Attributes from a Jar File.
The Rio attributes are:
"Rio-Build:", for example:
Manifest-Version: 1.0
Rio-Build: 20030602

Field Summary
`static Attributes.Name` | `RIO_BUILD`

Constructor Summary
`RioManifest(InputStream in)`
`RioManifest(Manifest manifest)`
`RioManifest(URL url)`

Method Summary
`void` | `close()`
`Attributes` | `getEntry(String name)` Get an Entry from a Jar file
`String` | `getMainAttribute(Attributes.Name name)` Get an Attribute from a Jar file
`String` | `getMainAttribute(String name)` Get an Attribute from a Jar file
`Attributes` | `getMainAttributes()`
`Manifest` | `getManifest()` Getter for property manifest.
`String` | `getRioBuild()` Get the Rio Build from a Jar file
`void` | `setManifest(Manifest manifest)` Setter for property manifest.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RIO_BUILD

    public static final Attributes.Name RIO_BUILD

Constructor Detail

### RioManifest

    public RioManifest(URL url)
                throws IOException

Throws:
  `IOException`

### RioManifest

    public RioManifest(InputStream in)
                throws IOException

Throws:
  `IOException`

### RioManifest

    public RioManifest(Manifest manifest)

Method Detail

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### getRioBuild

    public String getRioBuild()
                       throws IOException

  Get the Rio Build from a Jar file

  Returns:
    the Rio Build from a Jar file, or null if not defined.
  Throws:
    `IOException`

### getMainAttribute

    public String getMainAttribute(String name)
                            throws IOException

  Get an Attribute from a Jar file

  Parameters:
    `name` - the name of the main attribute entry
  Returns:
    the value of the main attribute from a Jar file, or null if not defined.
  Throws:
    `IOException`

### getMainAttribute

    public String getMainAttribute(Attributes.Name name)
                            throws IOException

  Get an Attribute from a Jar file

  Parameters:
    `name` - the name of the main attribute entry
  Returns:
    the value of the main attribute from a Jar file, or null if not defined.
  Throws:
    `IOException`

### getEntry

    public Attributes getEntry(String name)
                        throws IOException

  Get an Entry from a Jar file

  Parameters:
    `name` - the name of the entry
  Returns:
    the attributes for the entry or null if not defined
  Throws:
    `IOException`

### getMainAttributes

    public Attributes getMainAttributes()
                                 throws IOException

  Throws:
    `IOException`

### getManifest

    public Manifest getManifest()

  Getter for property manifest.

  Returns:
    Value of property manifest.

### setManifest

    public void setManifest(Manifest manifest)

  Setter for property manifest.

  Parameters:
    `manifest` - New value of property manifest.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.